Skip to content
Guides
Content & StorefrontStore Locations

Get public store location

Returns one active physical store location with its public address and fulfillment details.

GET/v1/store-locations/{id}

Returns one active physical store location with its public address and fulfillment details.

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Domain*string

Store slug or configured domain that selects the store context at the central Storefront gateway.

Length1 <= length <= 253

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/store-locations/7204558912004325301" \  -H "x-Store-Domain: my-store"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "name": "Example resource",  "code": "example_code",  "type": "warehouse",  "isActive": false,  "isDefault": false,  "useForFulfillment": false,  "supportsShipping": false,  "supportsLocalDelivery": false,  "supportsPickup": false,  "isPhysicalStore": false,  "supportsPos": false,  "priority": 1,  "localDeliveryPostalCodes": [    "example"  ],  "localDeliveryZones": [    {      "name": "Example resource",      "postalCodes": [        "example"      ],      "radiusKm": 1,      "fee": 1,      "freeFromAmount": 1,      "minHours": 1,      "maxHours": 1    }  ],  "schedules": [    {      "id": "7204558912004325301",      "openTime": "09:00:00Z",      "closeTime": "09:00:00Z",      "name": "Example resource",      "dayOfWeek": "monday",      "enabled": false,      "isOpen": false,      "type": "delivery"    }  ],  "createdOn": "2026-08-01T15:30:00Z"}